Skip to main content
POST
/
api
/
grid
/
v1
/
passkeys
/
find
Find passkey account
curl --request POST \
  --url https://grid.squads.xyz/api/grid/v1/passkeys/find \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-grid-environment: <x-grid-environment>' \
  --data '
{
  "authenticatorResponse": {},
  "sessionKey": {
    "expiration": 1,
    "key": "11111111111111111111111111111111"
  }
}
'
import requests

url = "https://grid.squads.xyz/api/grid/v1/passkeys/find"

payload = {
"authenticatorResponse": {},
"sessionKey": {
"expiration": 1,
"key": "11111111111111111111111111111111"
}
}
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-grid-environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
authenticatorResponse: {},
sessionKey: {expiration: 1, key: '11111111111111111111111111111111'}
})
};

fetch('https://grid.squads.xyz/api/grid/v1/passkeys/find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "passkey_account": "<string>",
  "session_key": {
    "expiration": 1,
    "key": "11111111111111111111111111111111"
  }
}

Authorizations

Authorization
string
header
required

Your Grid API key from the Grid Dashboard

Headers

x-grid-environment
string
required

Solana network environment (sandbox, devnet, mainnet)

Body

application/json
authenticatorResponse
object
required
sessionKey
null | object

Grid v1 API SessionKey type that supports backward-compatible deserialization from both raw bytes array (old format) and base58 string (new format). Always serializes to base58 string format.

Response

Passkey account found successfully

passkey_account
string
required
session_key
null | object

Grid v1 API SessionKey type that supports backward-compatible deserialization from both raw bytes array (old format) and base58 string (new format). Always serializes to base58 string format.